Bug 468919 - rosegarden has a couple more dependencies
rosegarden has a couple more dependencies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rosegarden4 (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Callum Lerwick
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 16:08 EDT by Scott Doty
Modified: 2009-03-18 15:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.7.3-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 15:07:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Doty 2008-10-28 16:08:43 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.2) Gecko/2008100707 Fedora/3.0.2-1.fc10 Firefox/3.0.2

rosegarden complains if "kdialog" and perl's "XML::Twig" are not available, as it needs them for some functions to operate.

Thus, the dependencies it needs include: kdebase (for kdialog) and perl-XML-Twig
.

Reproducible: Always

Steps to Reproduce:
1.try running it w/out the dependencies installed

Actual Results:  
should not complain on startup

Expected Results:  
healthy startup

after installing kdebase and perl-XML-Twig , rosegarden starts up fine
Comment 1 Bug Zapper 2008-11-25 23:23:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Phip 2008-12-06 01:22:40 EST
Warning Dialog:

"Rosegarden could not find one or more of the additional programs needed to support the Rosegarden Project Packager.
Export and import of Rosegarden Project files will not be available.
To fix this, you should install the following additional programs:

PERL Module XML::TWIG"

Although Rosegarden seems to work without it, load and save of project files is pretty essential!
Comment 3 Orcan Ogetbil 2009-03-07 03:34:16 EST
I added perl-XML-Twig as a dependency. But on the package changelog, I see that kdebase3 was deliberately removed from dependency list a while ago. I will ask the person who removed it that if there was a compelling reason.
Comment 4 Fedora Update System 2009-03-07 18:46:19 EST
rosegarden4-1.7.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rosegarden4-1.7.3-3.fc10
Comment 5 Orcan Ogetbil 2009-03-07 18:48:09 EST
This update has both kdebase and perl-XML-Twig added for dependencies.
Comment 6 Fedora Update System 2009-03-09 19:08:12 EDT
rosegarden4-1.7.3-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rosegarden4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2550
Comment 7 Fedora Update System 2009-03-18 15:06:54 EDT
rosegarden4-1.7.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.